<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_97ea09a7faf27c52c6ef" . "f69773df1d8a" => base64_decode("dGltZXN" . "0YW1w"), "_d706c160e45bf7434" . "fff82a5976f0e19" => base64_decode("YXJyYXl" . "fa2V5cw" . "=="), "_f58947600" . "7fa133f457" . "c3ef29ddfa" . "566" => base64_decode("V" . "G" . "8" . "="), "_956cd32298a229f976" . "8f1096f077ace3" => base64_decode("Ym9keS1" . "wbGFpbg" . "=="), "_a1e707d02a236dadebd15a45e65" . "ebdb6" => base64_decode("YXR0YWNob" . "WVudC1jb3" . "VudA=="), "_44e986c04f41a08b56a383c7b3a88" . "ee2" => base64_decode("c2V" . "uZG" . "Vy"), "_6e1c717cf3cbf1af982ed74d4" . "336b7f1" => base64_decode("Ym9keS1od" . "G1s"), "_9c050c786fc8" . "7170cbb84fc6a" . "8b13cb6" => base64_decode("YXR0YWNob" . "WVudC0="), "_618a4aeb9fe" . "cc4592a4521f" . "34876fa29" => base64_decode("ZnJ" . "vbQ" . "=="), "_1d6c68a0262e8fa0bed1215b72" . "24a98e" => base64_decode("cmVjaXBpZW5" . "0"), "_8c575917cbaedf1e7efae84" . "939402bff" => base64_decode("U3Viam" . "VjdA=="), "_f39f5346e3" . "13e4dd1ac3a" . "7bd8032beda" => base64_decode("c3Vic3" . "RyX2Nv" . "bXBhcm" . "U="));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d706c160e45bf74" . "34fff82a5976f0e1" . "9"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_a1e707d02a236dadebd15a45e65ebdb" . "6"] && $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_f39f5346e313e4dd1ac3a7bd8" . "032beda"]($key, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_9c050c7" . "86fc8717" . "0cbb84fc" . "6a8b13cb" . "6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_1d6c68a026" . "2e8fa0bed12" . "15b7224a98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_618a4aeb9fecc459" . "2a4521f34876fa29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_f589476007fa133f457c3ef29d" . "dfa566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8c575917cbaedf1e7efae849394" . "02bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_6e1c717cf3cbf1af982ed" . "74d4336b7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_956cd32298a229f9768f10" . "96f077ace3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_97ea09a7faf27c52c6eff69773df1d" . "8a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_44e986c04f41a08b56a383" . "c7b3a88ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}